# Rect : Object
Return to: HTML DOM Level 2 index

Represents a CSS rect (rectangle) value.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | 6.0+ | 9.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
Rect Constructor() : Rect Represents a CSS rect (rectangle) value. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

### Rect() : Rect

Represents a CSS rect (rectangle) value.

Returns

Rect |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
bottom : CSSPrimitiveValue Bottom of the rectangle. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

left : CSSPrimitiveValue Left side of the rectangle. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

right : CSSPrimitiveValue Right side of the rectangle. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

top : CSSPrimitiveValue Top of the rectangle. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs